=== scripts/CMakeLists.txt ===
########### install files ###############

INSTALL(FILES startup.ssc landscapes.ssc lunar_partial.ssc lunar_total.ssc screensaver.ssc common_objects.inc solar_eclipse.ssc zodiac.ssc DESTINATION share/${PACKAGE}/scripts)
