=== textures/CMakeLists.txt ===
########### install files ###############

INSTALL(FILES mercury.png venus.png earth-clouds.png earthmap.png mars.png jupiter.png saturn.png uranus.png neptune.png earth-shadow.png saturn_rings_radial.png lune.png phobos.png deimos.png io.png europa.png ganymede.png callisto.png mimas.png enceladus.png tethys.png dione.png rhea.png titan.png hyperion.png iapetus.png miranda.png ariel.png umbriel.png titania.png oberon.png fog.png milkyway.png fogridge.png neb.png halo.png pointeur2.png pointeur4.png pointeur5.png logo24bits.png star16x16.png sun.png nomap.png haloLune.png planet-indicator.png DESTINATION share/${PACKAGE}/textures)
