=== landscapes/mars/CMakeLists.txt ===

########### install files ###############

INSTALL(FILES landscape.ini mars.png DESTINATION share/${PACKAGE}/landscapes/mars)
