=== landscapes/saturn/CMakeLists.txt ===

########### install files ###############

INSTALL(FILES landscape.ini saturn-256.png DESTINATION share/${PACKAGE}/landscapes/saturn)
