=== debian/changelog ===
stellarium (0.10.5-1) unstable; urgency=low

  * New upstream release (Closes: #586804)
  * Remove 01_fix_pow10_function_check.diff, now applied upstream
  * Remove 02_remove_unknown_locale_code.diff, no more needed
  * Rendering of `old_style' landscapes fixed by upstream (Closes: #581657)
  * Update debian/control:
    - Bump Standards-Version from 3.8.4 to 3.9.0
    - Add libqt4-sql-sqlite to Depends (Closes: #582726)
  * Update debian/copyright:
    - Fix FSF address

 -- Cédric Delfosse <cedric@debian.org>  Sat, 31 Jul 2010 15:44:02 +0200

stellarium (0.10.4-0.1) unstable; urgency=low

  * Non-maintainer upload - acked by the maintainer
  * New upstream release (Closes: #570005, #577985)
  * Switch to dpkg-source 3.0 (quilt) format
  * Add 01_fix_pow10_function_check.diff:
    pow10 function check fails as we don't link against math library
  * Add 02_remove_unknown_locale_code.diff:
    remove nan locale code, it is unknown
  * Bump debian/compat from 5 to 7
  * Update debian/control:
    - bump debhelper build dependency to 7.4.15 for dh usage
    - cleanup build dependencies (keep libqt4*-dev and add zlib1g-dev)
    - add versioned build dependencies to cmake (>= 2.6.0)
    - add versioned build dependencies to libqt4-dev (>= 4.6.0)
      (Closes: #578890)
    - bump Standards-Version to 3.8.0 to 3.8.4 (no changes needed)
    - relax dependency relation between stellarium and stellarium-data
      (Closes: #482889)
    - add missing ${misc:Depends} to stellarium-data, lintian warning--
    - remove stellarium (<< 0.6.2-1) Replaces, it's not needed anymore
    - cleanup stellarium-data description, lintian warning--
  * Update debian/copyright:
    - cleanup layout
    - update copyright information
  * Update debian/rules:
    - convert to dh usage
    - enable parallel build (pass --parallel option to dh)
    - list missing files (pass --list-missing option to dh)
  * Update debian/stellarium.desktop (Closes: #530315):
    - remove encoding key, deprecated
    - add missing list separator to categories key
  * Add debian/watch file.

 -- Fathi Boudra <fabo@debian.org>  Sat, 24 Apr 2010 10:44:18 +0300

stellarium (0.10.2-1) unstable; urgency=low

  * New upstream release

 -- Cédric Delfosse <cedric@debian.org>  Fri, 13 Mar 2009 20:07:22 +0100

stellarium (0.10.1-1) unstable; urgency=low

  * New upstream release (Closes: #505850, #504329)
  * Remove all previous patches (no more applies or no more needed), drop quilt
  * Fix "planets wont show up with german locale" (Closes: #493287)
  * Bump Standards-Version to 3.8.0
  * Fix debian/copyright: licence version is GPL v2 or later

 -- Cédric Delfosse <cedric@debian.org>  Wed, 18 Feb 2009 21:29:51 +0100

stellarium (0.9.1-4) unstable; urgency=low

  * Add libxcursor-dev, libxfixes-dev, libxinerama-dev, libqt4-opengl-dev to
    build-deps (Closes: #479906)

 -- Cédric Delfosse <cedric@debian.org>  Mon, 19 May 2008 21:28:23 +0200

stellarium (0.9.1-3) unstable; urgency=low

  * Add libjpeg62-dev to build-deps (Closes: #477023)
  * Also add missing libfontconfig1-dev, libice-dev, libsm-dev, libxi-dev,
    libxrandr-dev, libxrender-dev, libglib2.0-dev to build-deps
  * Add patch from Heine Larsen locale_numeric.patch to fix black screen
    problem after stellarium startup (Closes: #476882)

 -- Cédric Delfosse <cedric@debian.org>  Tue, 22 Apr 2008 20:30:25 +0200

stellarium (0.9.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch gcc-4.3.patch fixing build with GCC 4.3 (Closes: #462702).

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Wed, 19 Mar 2008 14:00:25 +0100

stellarium (0.9.1-2) unstable; urgency=low

  * Fix FTBFS on pbuilder
  * Fix some lintian warnings
    * debian/control: remove build depend on dpatch, add Homepage header
    * debian/menu: move from Apps/Science to Applications/Science/Astronomy
    * debian/copyright: fix encoding

 -- Cédric Delfosse <cedric@debian.org>  Sat, 19 Jan 2008 17:42:17 +0100

stellarium (0.9.1-1) unstable; urgency=low

  * New upstream release (Closes: Bug#461427)

 -- Cédric Delfosse <cedric@debian.org>  Fri, 18 Jan 2008 23:02:51 +0100

stellarium (0.9.0-2) unstable; urgency=low

  * New patch coming from upstream SVN (Closes: Bug#453804):
    * time_related_fix.patch: recoded a lot of time-related methods using Qt

 -- Cédric Delfosse <cedric@debian.org>  Mon, 03 Dec 2007 21:33:10 +0100

stellarium (0.9.0-1) unstable; urgency=low

  * New upstream release (Closes: Bug#428498)
  * Now use QT instead of SDL, also add depends on libcurl4-dev
  * No more apply 64bit_fix.patch and opengl_context_init.patch
  * New gettext.patch so that make install DESTDIR=foo works
  * Add --disable-rpath in debian/rules to the configure line to fix
    binary-or-shlib-defines-rpath lintian warning

 -- Cédric Delfosse <cedric@debian.org>  Sun, 17 Jun 2007 21:51:58 +0200

stellarium (0.8.2-3) unstable; urgency=low
  
  * fix debian/rules so that patches are really applied 
  * New patches coming from upstream SVN (Closes: Bug#405596):
    * opengl_context_init.patch: fix OpenGL context initialization code that
      may fail with some OpenGL drivers
    * 64bit_fix.patch: fix segfault at stellarium init on 64 bits architecture

 -- Cédric Delfosse <cedric@debian.org>  Fri,  5 Jan 2007 21:24:18 +0100

stellarium (0.8.2-2) unstable; urgency=low

  * Fix stellarium.desktop file (Closes: Bug#403429, Bug#383831)
    Now stellarium shows (with kstars) in:
     - GNOME menu: Applications -> Education
     - KDE menu: Applications -> Edutainement -> Science
  * New upstream version in unstable (Closes: Bug#392046)

 -- Cédric Delfosse <cedric@debian.org>  Fri, 29 Dec 2006 21:32:36 +0100

stellarium (0.8.2-1) experimental; urgency=low

  * New upstream release (6 oct 2006)
  * Use quilt
  * Remove outdated README.Debian
  * Hardcode CONFIG_DATA_DIR in configure.ac, because datadir and
    CONFIG_DATA_DIR invocation are mixed-up. Same problem and same fix for the
    LOCALEDIR variable.


