=== debian/control ===
Source: stellarium
Section: science
Priority: optional
Maintainer: Cédric Delfosse <cedric@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.6.0), doxygen,
 libqt4-dev (>= 4:4.6.0), libqt4-opengl-dev (>= 4:4.6.0), zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://www.stellarium.org

Package: stellarium
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, stellarium-data (>= ${source:Version}), libqt4-sql-sqlite
Description: real-time photo-realistic sky generator
 Stellarium renders 3D photo-realistic skies in real-time. With Stellarium, you
 really see what you can see with your eyes, binoculars or a small telescope.
 .
 Some features:
  - Over 120000 stars from the Hipparcos Catalogue with name and infos for the
    brightest ones,
  - Planets in real time, with a powerful zoom mode to see them like in a
    telescope,
  - Drawing of the 88 constellations with their names,
  - Drawing of more than 40 messiers objects (Orion, M31 etc..),
  - Photorealistic Milky Way,
  - Ground, fog, and landscape,
  - Clickable stars, planets and nebulas with information,
  - Windowed and fullscreen modes.
 .
 Stellarium should not be used for very high accurate calculation or ephemerids
 like eclipse predictions. However, it is the ideal program to prepare an
 observation evening with naked eye, binocular, or small telescope.

Package: stellarium-data
Architecture: all
Depends: ${misc:Depends}
Description: Stellarium data files
 Stellarium renders 3D photo-realistic skies in real-time. With Stellarium, you
 really see what you can see with your eyes, binoculars or a small telescope.
 .
 This package contains data files required by Stellarium. They include textures
 and the Hipparcos Catalogue.
